Đến nội dung


Hình ảnh

hỏi về lệnh tắt của "break at point" trong thanh công cụ modify


  • Please log in to reply
11 replies to this topic

#1 truongkhai

truongkhai

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 11 July 2012 - 09:56 AM

em search trên mạng mà sao ko thấy ở đâu có chỉ lệnh tắt của tiện ích break at point trong thanh công cụ modify của autoCAD. Có anh chị nào biết chỉ giúp em ko? tks!
  • 0

#2 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 11 July 2012 - 10:02 AM

em search trên mạng mà sao ko thấy ở đâu có chỉ lệnh tắt của tiện ích break at point trong thanh công cụ modify của autoCAD. Có anh chị nào biết chỉ giúp em ko? tks!


BR là lệnh tắc của Break, còn break at point thì ko biết ở đâu có lệnh đó cà! :)
  • 0
Hình đã gửi

#3 truongkhai

truongkhai

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 11 July 2012 - 10:33 AM

lệnh break at point nằm cạnh lệnh break trong thanh công cụ modify của CAD2008 đó. mấy CAD cao hơn chạy giật giật nên e chưa dùng , chưa biết nằm đâu.
  • 0

#4 hoangxd1

hoangxd1

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 11 July 2012 - 10:36 AM

CadViet có lisp này rồi đấy.bạn down về mà dùng.hay lắm
  • 0

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 July 2012 - 10:42 AM

em search trên mạng mà sao ko thấy ở đâu có chỉ lệnh tắt của tiện ích break at point trong thanh công cụ modify của autoCAD. Có anh chị nào biết chỉ giúp em ko? tks!

Bạn sử dụng Lisp ở đây nhé:
http://www.cadviet.c...showtopic=14925
  • 2

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 11 July 2012 - 11:20 AM

Nhanh hơn nữa thì :

(defun c:brf ()(command "_break" (car (nentselp (setq p (getpoint)) "\nDiem cat doi tuong :")) p "@"))

  • 3

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#7 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2876 Bài viết
Điểm đánh giá: 1555 (rất tốt)

Đã gửi 11 July 2012 - 12:24 PM

Em chưa thử lisp của anh Tuệ. Thấy bác Ketxu quảng cáo dùng thử thấy nhanh thí dụ cắt chính giữa 1 đoạn thẳng, chỉ cần gõ brf rồi cứa nhẹ một cái là đứt.
Không biết bác ketxu thể chỉnh sửa thêm để cắt được đường tròn hay không??? Nếu được thì vừa nhanh vừa đẹp trai hơn nữa!
Lệnh tắt của Break at Point cũng giống lệnh Break là br chỉ khác là dùng thêm tham số f:
Command: br
BREAK Select object:
Specify second break point or [First point]: f
Specify first break point:
Specify second break point:

So với lisp nó chậm hơn vì phải thao tác: gõ lệnh br > chọn đường thẳng > chọn f > chém đúp hai nhát vào điểm giữa nó mới đứt.
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 11 July 2012 - 12:32 PM

Tất nhiên là được, nhưng nó sẽ dài hơn 1 chút haanh ạ
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2876 Bài viết
Điểm đánh giá: 1555 (rất tốt)

Đã gửi 11 July 2012 - 12:39 PM

Lisp này cũng hay, tiện đây nhờ bác viết luôn, em bỏ phiếu bầu cử cho bác trước!

Nhân nói đến bỏ phiếu, em chợt nhớ đến hai câu thơ Bút Tre , bác đọc cho vui nhé:
Ta đi bầu cử tự do
Chọn người xứng đáng ta cho vào...hòm! :D
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#10 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 11 July 2012 - 01:18 PM

@haanh : Nếu bạn định cắt hình tròn bởi 2 điểm trên cung thì dễ r, còn nếu cắt tại 1 điểm như topic đề cập thì sau đó Circle sẽ bị biến thành gì ?
- Có 2 tình huống : 1 là nó sẽ biến thành Pline có 2 segment cong có 2 đầu (gần gần gần gần ... coi như là) chạm nhau
- 2 là biến thành 1 Arc có 2 đầu (gần gần gần gần ... coi như là) chạm nhau
=> CHọn cách 2 cho đơn giản nhé.
Quick :

(defun c:brf ()
(setq cv (car (setq sth (nentselp (setq p (getpoint)) "\nDiem cat doi tuong :"))))
(if (= (cdadr (entget cv)) "CIRCLE")
(command "_break" sth "f" (vlax-curve-getClosestPointTo cv p) (vlax-curve-getClosestPointTo cv (mapcar '- p '(0.01 0.01))))
(command "break" cv p "@")
)
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#11 truongkhai

truongkhai

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 17 July 2012 - 03:53 PM

em thuộc loại gà lisp nên chắc là em sẽ xài br xong chọn f, chọn 1st & 2sd point trùng nhau luôn. cảm ơn các bác!
  • 0

#12 vandanxd

vandanxd

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 July 2012 - 09:21 AM

theo mình biết thi lệnh đó chỉ có biểu tượng trên thanh Modify thôi
chính là hình chữ nhật có 1 dấu chấm ở trên đó, bên cạnh lệnh BR


em search trên mạng mà sao ko thấy ở đâu có chỉ lệnh tắt của tiện ích break at point trong thanh công cụ modify của autoCAD. Có anh chị nào biết chỉ giúp em ko? tks!


  • 0